Enviar vídeo
curl --request POST \
--url https://apizap.loce.io/v1/message/video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"phone": "<string>",
"videoUrl": "<string>",
"quoteId": "<string>",
"caption": "<string>"
}
'import requests
url = "https://apizap.loce.io/v1/message/video"
payload = {
"sessionId": "<string>",
"phone": "<string>",
"videoUrl": "<string>",
"quoteId": "<string>",
"caption": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
phone: '<string>',
videoUrl: '<string>',
quoteId: '<string>',
caption: '<string>'
})
};
fetch('https://apizap.loce.io/v1/message/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageId": "<string>",
"sessionId": "<string>",
"phone": "<string>",
"type": "<string>",
"status": "<string>",
"quoteId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Message
Enviar mensagem de video.
Dispara vídeos hospedados em URLs públicas.
POST
/
message
/
video
Enviar vídeo
POST /message/video
await zap.sendMessageVideo('my-session-id', {
to: '5564999999999',
videoUrl: 'https://files.loce.io/promo.mp4',
caption: 'Confira o novo recurso!',
});
zap = LoceZap(API_KEY)
zap.send_message_sticker("session_id", "telephone_number", "stickerUrl", file_name="Contrato.pdf")
curl --request POST \
--url https://apizap.loce.io/v1/message/sticker \
--header 'Authorization: Bearer lz_xxxxxxxxxx' \
--header 'Content-Type: application/json'
--data '{
"sessionId": "string",
"phone": "string",
"stickerUrl": "string",
"quoteId": "string"
}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

